Source: libtest-http-server-simple-stashwarnings-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 12), libmodule-install-perl
Build-Depends-Indep: perl,
                     libcgi-pm-perl | perl (<< 5.19),
                     libhttp-server-simple-perl,
                     libtest-http-server-simple-perl,
                     libwww-mechanize-perl
Standards-Version: 3.9.5
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libtest-http-server-simple-stashwarnings-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libtest-http-server-simple-stashwarnings-perl.git
Homepage: https://metacpan.org/release/Test-HTTP-Server-Simple-StashWarnings

Package: libtest-http-server-simple-stashwarnings-perl
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends},
         libhttp-server-simple-perl,
         libtest-http-server-simple-perl
Description: module to catch forked web server's warnings in Test::More tests
 Test::HTTP::Server::Simple-StashWarnings, based on
 Test::HTTP::Server::Simple, lets you retrieve the warnings that your forked
 HTTP::Server::Simple-based web server throws. That way you can test that your
 application continues to throw warnings when it makes sense. Catching the
 warnings also keeps your test output tidy. Finally, you'll be able to see
 when your application throws new, unexpected warnings.
